<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once ('header.php');
echo "<h1>Koop kaartjes voor de lotto</h1>";
$geld_nu = halen("SELECT money FROM members WHERE naam='".$_SESSION['naam']."'");
$functie = halen("SELECT functie FROM members WHERE naam='".$_SESSION['naam']."';");
$aantal = $_GET['koop_aantal'];
$prijs = $aantal * 5;
if ($aantal > 50)
{
	echo "Je kan maximum 50 kaartjes kopen.";
}
else
{
	if (mysql_num_rows(mysql_query("SELECT * FROM lotto WHERE naam='".$_SESSION['naam']."';")) > 50)
	{
		echo "Je kan maximum 50 kaartjes kopen.";
	}
	else
	{
		if ($geld_nu >= $prijs)
		{
			if ($functie != "manager")
			{
				$geld_nu = $geld_nu - $prijs;
			}
			for ($i = 1; $i <= $aantal; $i++)
			{
				$kaartje_id = halen("SELECT waarde FROM setting WHERE id='3'");
				mysql_query("INSERT INTO lotto SET id='".$kaartje_id."', naam='".$_SESSION['naam']."';");
				$kaartje_id++;
				mysql_query("UPDATE setting SET waarde='".$kaartje_id."' WHERE id='3';");
			}	
			mysql_query("UPDATE members SET money='".$geld_nu."' WHERE naam='".$_SESSION['naam']."'");
			action("koopt kaartjes voor de lotto");
			echo "Even geduld a.u.b...";
			echo "<meta http-equiv=\"refresh\" content='1;url=lotto.php'>";
		}
		else
		{
			echo "Je hebt hier niet genoeg geld voor.";
		}
	}
}
require_once('footer.php');
?>